Bug 521933 - RFE: Please rename package "booty" to more-appropriate descriptive name
Summary: RFE: Please rename package "booty" to more-appropriate descriptive name
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: booty
Version: 5.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 19:03 UTC by Mike Ely
Modified: 2011-05-26 17:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-26 17:54:32 UTC


Attachments (Terms of Use)

Description Mike Ely 2009-09-08 19:03:16 UTC
Description of problem:
Package "booty" has a name whose meaning is vague and potentially offensive to some people, especially if a curious tech who lacks common sense conducts a web search for "booty" in order to find out what that "booty" is and why it is installed on his system.  It's assured that said tech will not find relevant information to the Linux package "booty" when conducting such a search unless he is very careful in how he phrases his search, and furthermore that if he is careless with said search, he is potentially at risk of offending his co-workers and thus facing disciplinary action.

Version-Release number of selected component (if applicable):
n/a

How reproducible:
Install RHEL

Steps to Reproduce:
1. Run up2date
2. Observe a package named "booty" being updated
3. Try to think of a web search for "booty" that will not return inappropriate material
  
Actual results:
Boot loader helper package is installed with a borderline-inappropriate name

Expected results:
Boot loader helper package is installed with a descriptive name that is not confusing.

Additional info:

Comment 1 Mike Ely 2009-10-24 03:42:45 UTC
Reopening.

Subhendu Ghosh, please get someone else to review this name for appropriateness.  And at minimum post a comment justifying your closure of this bug report rather than simply declaring NOTABUG.

I along with many people who grew up speaking English will disagree with you.

Comment 2 Peter Jones 2011-05-26 17:54:32 UTC
The name refers to a kind of shoe, and also humorously refers to the fact that booty is responsible for configuring boot loaders.  It isn't in appropriate in any way.


Note You need to log in before you can comment on or make changes to this bug.